<!DOCTYPE html>
<html lang="en">
<head>
	<meta http-equiv="X-UA-Compatible" content="IE=edge">
	<title>Admin Dashboard</title>
	<meta content='width=device-width, initial-scale=1.0, shrink-to-fit=no' name='viewport'>
	
	<!-- Fonts and icons -->
	<script src="{{ asset('admin/js/plugin/webfont/webfont.min.js') }}"></script>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.5.0/css/all.min.css">

	<script>
		WebFont.load({
			google: {"families":["Lato:300,400,700,900"]},
			custom: {"families":["Flaticon", "Font Awesome 5 Solid", "Font Awesome 5 Regular", "Font Awesome 5 Brands", "simple-line-icons"], urls: ['../assets/css/fonts.min.css']},
			active: function() {
				sessionStorage.fonts = true;
			}
		});
	</script>

	<!-- CSS Files -->
	<link rel="stylesheet" href="{{ asset('admin/css/bootstrap.min.css') }}">
	<link rel="stylesheet" href="{{ asset('admin/css/atlantis.css') }}">
    <style>
        body {
            font-family: Arial, sans-serif;
            margin: 20px;
        }
        table {
            border-collapse: collapse;
            width: 100%;
        }
        th, td {
            border: 1px solid #000;
            padding: 8px;
            text-align: left;
        }
        th {
            background-color: #f2f2f2;
        }
    </style>
</head>
<body>
<table id="sesi-kuis-table" class="display table table-striped table-hover">
    <thead>
        <tr>
            <th>No</th>
            <th>Nama Siswa</th>
            <th>Sekolah</th>
            <th>Kelas</th>
            <th>Kurikulum</th>
            <th>Tanggal</th>
            <th>Aksi</th>
        </tr>
    </thead>
    <tfoot>
        <tr>
            <th>No</th>
            <th>Nama Siswa</th>
            <th>Sekolah</th>
            <th>Kelas</th>
            <th>Kurikulum</th>
            <th>Tanggal</th>
            <th>Aksi</th>
        </tr>
    </tfoot>
    <tbody>
        @foreach($sesikuis as $index => $sesi)
        <tr>
            <td>{{ $index + 1 }}</td>
            <td>{{ $sesi->nama }}</td>
            <td>{{ $sesi->sekolah }}</td>
            <td>{{ $sesi->kelas }}</td>
            <td>{{ $sesi->kurikulum->nama }}</td>
            <td>{{ $sesi->created_at->format('d/m/Y H:i:s') }}</td>
            <td>
                <button type="button" class="btn btn-link p-3 text-primary sesiDetailBtn" data-id="{{ $sesi->id }}" title="Detail">
                    <i class="fa-solid fa-folder-open"></i> 
                </button>
            </td>
        </tr>
        @endforeach
    </tbody>
    </table>
</body>
</html>
