<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Hasil Perhitungan - {{ $sesi->nama }}</title>
    <style>
        body {
            font-family: Arial, sans-serif;
            line-height: 1.6;
            color: #333;
            margin: 20px;
        }
        .header {
            text-align: center;
            margin-bottom: 30px;
        }
        .header h1 {
            margin-bottom: 5px;
            font-size: 24px;
        }
        .sub-header {
            margin-bottom: 20px;
            border-bottom: 1px solid #ddd;
            padding-bottom: 10px;
        }
        .sub-header p {
            margin: 5px 0;
        }
        table {
            width: 100%;
            border-collapse: collapse;
            margin-bottom: 30px;
        }
        table, th, td {
            border: 1px solid #ddd;
        }
        th, td {
            padding: 10px;
            text-align: left;
        }
        th {
            background-color: #f2f2f2;
        }
        .section-title {
            font-weight: bold;
            font-size: 16px;
            margin-top: 30px;
            margin-bottom: 15px;
            border-bottom: 1px solid #ddd;
            padding-bottom: 5px;
        }
        .footer {
            margin-top: 50px;
            text-align: center;
            font-size: 12px;
            color: #777;
        }
        .page-break {
            page-break-after: always;
        }
    </style>
</head>
<body>
    <div class="header">
        <h1>HASIL PERHITUNGAN SISTEM</h1>
        <p>Laporan Hasil Perhitungan dan Rekomendasi</p>
    </div>
    
    <div class="sub-header">
        <p><strong>Nama Siswa:</strong> {{ $sesi->nama }}</p>
        <p><strong>Sekolah:</strong> {{ $sesi->sekolah }}</p>
        <p><strong>Kelas:</strong> {{ $sesi->kelas }}</p>
        <p><strong>Kurikulum:</strong> {{ $sesi->kurikulum->nama }}</p>
        <p><strong>Tanggal:</strong> {{ $sesi->created_at->format('d/m/Y H:i:s') }}</p>
    </div>
    
    <div class="section-title">Hasil Perhitungan</div>
    <p>Data berikut menampilkan hasil perhitungan dan rekomendasi berdasarkan jawaban yang telah diberikan oleh pengguna.</p>
    
    <table>
        <thead>
            <tr>
                <th>Peringkat</th>
                <th>Alternatif</th>
                <th>Total Skor</th>
                <th>Skor Normalisasi</th>
            </tr>
        </thead>
        <tbody>
            @foreach($hasil as $item)
            <tr>
                <td>{{ $item->peringkat }}</td>
                <td>{{ $item->alternatif->nama }}</td>
                <td>{{ number_format($item->total_skor, 2) }}</td>
                <td>{{ number_format($item->skor_normalisasi, 2) }}</td>
            </tr>
            @endforeach
        </tbody>
    </table>
    
    <div class="section-title">Jawaban Pengguna</div>
    <p>Berikut adalah jawaban yang dipilih oleh pengguna saat mengisi kuesioner.</p>
    
    <table>
        <thead>
            <tr>
                <th>Subkriteria</th>
                <th>Opsi Dipilih</th>
            </tr>
        </thead>
        <tbody>
            @foreach($jawaban as $item)
            <tr>
                <td>{{ $item->subkriteria->pertanyaan }}</td>
                <td>{{ $item->opsi_dipilih }}</td>
            </tr>
            @endforeach
        </tbody>
    </table>
    
    <div class="footer">
        <p>Dicetak pada: {{ now()->format('d/m/Y H:i:s') }}</p>
    </div>
</body>
</html>