<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Perhitungan SAW - Lupa Password</title>
    <link href="https://fonts.googleapis.com/css2?family=Poppins:wght@400;500;600&display=swap" rel="stylesheet">
    <link rel="shortcut icon" href="{{ asset('user/favicon.svg') }}" type="image/svg+xml">
    <style>
        * {
            margin: 0;
            padding: 0;
            box-sizing: border-box;
            font-family: "Poppins", sans-serif;
        }

        body {
            background-color: #5A58E9;
            display: flex;
            align-items: center;
            justify-content: center;
            flex-direction: column;
            height: 100vh;
        }

        .container {
            background-color: #fff;
            border-radius: 30px;
            box-shadow: 0 5px 15px rgba(0, 0, 0, 0.35);
            position: relative;
            overflow: hidden;
            max-width: 100%;
            min-height: 480px;
            display: flex;
            align-items: center;
            justify-content: center;
        }

        .container p {
            font-size: 13px;
            line-height: 20px;
            letter-spacing: 0.3px;
            margin: 10px 0;
            color: #555;
            text-align: center;
            max-width: 80%;
        }

        .container button {
            background-color: #5A58E9;
            color: #fff;
            font-size: 12px;
            padding: 10px 45px;
            border: 1px solid transparent;
            border-radius: 8px;
            font-weight: 600;
            letter-spacing: 0.5px;
            text-transform: uppercase;
            margin-top: 10px;
            cursor: pointer;
            transition: transform 0.3s ease;
        }

        .container button:hover {
            transform: translateY(-3px);
        }

        .container form {
            background-color: #fff;
            display: flex;
            align-items: center;
            justify-content: center;
            flex-direction: column;
            padding: 0 40px;
            height: 100%;
            width: 100%;
        }

        .container input {
            background-color: #eee;
            border: none;
            margin: 15px 0;
            padding: 10px 15px;
            font-size: 13px;
            border-radius: 8px;
            width: 100%;
            outline: none;
        }

        .form-container {
            width: 100%;
            max-width: 400px;
        }

        form h1 {
            color: #333;
            font-size: 24px;
        }

        .back-link {
            margin-top: 15px;
            font-size: 12px;
            color: #5A58E9;
            text-decoration: none;
        }

        .back-link:hover {
            text-decoration: underline;
        }

        .input-container {
            width: 100%;
            position: relative;
        }

        .form-title {
            display: flex;
            flex-direction: column;
            align-items: center;
            margin-bottom: 10px;
        }

        .auth-session-status {
            background-color: #e3f2fd;
            padding: 10px;
            border-radius: 8px;
            color: #1565c0;
            font-size: 12px;
            width: 100%;
        }

        .input-error {
            color: #e53935;
            font-size: 12px;
            margin-top: 5px;
        }
    </style>
</head>
<body>
    <div class="container">
        <div class="form-container">
            <form method="POST" action="{{ route('password.email') }}">
                @csrf
                
                <div class="form-title">
                    <h1>Lupa Password</h1>
                </div>
                
                <p>{{ __('Lupa kata sandi? Masukkan email Anda, lalu kami akan kirimkan link untuk mengatur ulang kata sandi.') }}</p>
                
                <!-- Session Status -->
                @if (session('status'))
                    <div class="auth-session-status">
                        {{ session('status') }}
                    </div>
                @endif
                
                <!-- Email Address -->
                <div class="input-container">
                    <input id="email" type="email" name="email" value="{{ old('email') }}" placeholder="Email" required autofocus />
                    @if ($errors->get('email'))
                        <div class="input-error">
                            @foreach ($errors->get('email') as $error)
                                {{ $error }}
                            @endforeach
                        </div>
                    @endif
                </div>
                
                <button type="submit">
                    {{ __('Kirim Link Reset Kata Sandi') }}
                </button>
                
                <a href="{{ route('login') }}" class="back-link">Kembali ke Login</a>
            </form>
        </div>
    </div>
</body>
</html>