<!-- #QUIZ SECTION -->
<section class="section quiz" id="quiz" aria-label="quiz">
<div class="container">
    <p class="section-subtitle has-before text-center">Kuesioner Penilaian</p>
    <div class="quiz-header">
        <h2 class="h2 section-title text-center">Jawablah Pertanyaan Berikut <span class="has-before">dengan Jujur.</span></h2>
        <p class="section-subtitle text-center">Data akan digunakan sebagai dasar dalam proses penilaian dan rekomendasi.</p>
    </div>

    @if(!$quizAccessStatus)
    <!-- Section Terkunci -->
    <div class="locked-section">
      <div class="card locked-card">
        <div class="card-body text-center">
          <div class="lock-icon">
            <i class="fas fa-lock fa-4x text-muted mb-4"></i>
          </div>
          <h3 class="text-muted mb-3">Kuisioner Terkunci</h3>
          <p class="text-muted mb-4">
            Maaf, akses ke kuisioner saat ini sedang ditutup oleh administrator. 
            Silakan hubungi administrator untuk informasi lebih lanjut.
          </p>
          <div class="alert alert-info">
            <i class="fas fa-info-circle"></i>
            <strong>Informasi:</strong> Section ini akan dibuka kembali ketika administrator mengizinkan akses.
          </div>
        </div>
      </div>
    </div>
    @else

    <!-- Single Form for All Sections -->
    <form action="{{ route('submitpenilaian') }}" method="POST" class="quiz-form" id="quizForm">
    @csrf

    <!-- Hidden input untuk menyimpan kurikulum yang dipilih -->
    <input type="hidden" id="selectedKurikulum" name="kurikulum_id" value="">

    <!-- Bagian 1: Data Siswa -->
    <div class="quiz-section active" data-section="1">
    <h3 class="quiz-subtitle">Informasi Dasar</h3>
    <div class="form-group">
        <label for="nama" class="form-label">Nama Lengkap</label>
        <input type="text" id="nama" name="nama" required class="form-control" value="{{ auth()->user()->name }}" readonly>
    </div>
    <div class="form-group">
        <label for="sekolah" class="form-label">Sekolah</label>
    <input type="text" id="sekolah" name="sekolah" required class="form-control" value="{{ $siswa->sekolah->nama ?? '' }}" readonly>
    </div>    
    <div class="form-group">
        <label for="kelas" class="form-label">Kelas</label>
        <input type="text" id="kelas" name="kelas" required class="form-control" value="{{ $siswa->kelas->nama_kelas ?? '' }}" readonly>
    </div>
        <div class="quiz-navigation">
        <button type="button" class="btn btn-primary btn-next" data-next="2">Selanjutnya</button>
        </div>
    </div>

    <!-- Bagian 2: Pemilihan Kurikulum -->
    <div class="quiz-section" data-section="2">
    <h3 class="quiz-subtitle">Pemilihan Kurikulum</h3>
    <div class="form-group">
        <label for="kurikulum" class="question-label">Pilih Kurikulum</label>
        <div class="kurikulum-container">
        @forelse($kurikulums as $kurikulum)
        @php
            $hasAlternatif = $kurikulum->alternatifs->count() > 0;
            $hasKriteria = $kurikulum->kriterias->count() > 0;
            $isActive = $hasAlternatif && $hasKriteria;
        @endphp
            
        <div class="kurikulum-card {{ $isActive ? 'active' : 'disabled' }}" data-kurikulum-id="{{ $kurikulum->id }}">
        <div class="card mb-3">
        <div class="card-body">
            <h5 class="card-title">{{ $kurikulum->nama}}</h5>
                  
            @if($isActive)
            <div class="kurikulum-status available">
                <i class="fas fa-check-circle status-icon"></i>
                <span>Tersedia</span>
            </div>

            <div class="kurikulum-info mt-2">
            <small class="text-muted">
                Kriteria: {{ $kurikulum->kriterias->count() }} |
                Alternatif: {{ $kurikulum->alternatifs->count() }}
            </small>
            </div>

            <input type="radio" name="kurikulum_id" value="{{ $kurikulum->id }}" class="kurikulum-radio" id="kurikulum_{{ $kurikulum->id }}">
            @else
            <div class="kurikulum-status unavailable">
                <i class="fas fa-times-circle status-icon"></i>
                <span>Tidak tersedia</span>
            </div>
            <p class="text-muted small mt-2"> Kurikulum tidak memiliki alternatif/kriteria yang cukup</p>
            @endif
        </div>
        </div>
        </div>
        @empty
        <div class="alert alert-warning">Tidak ada kurikulum yang tersedia saat ini.</div>
        @endforelse
        </div>
    </div>
      
    <div class="quiz-navigation">
        <button type="button" class="btn btn-secondary btn-prev" data-prev="1">Sebelumnya</button>
        <button type="button" class="btn btn-primary btn-next" data-next="3" id="nextAfterKurikulum" disabled>Selanjutnya</button>
    </div>
    </div>
                
    <!-- Bagian 3: Pertanyaan -->
    <!-- Add your questions section here -->

    </form>
    @endif
</div>
</section>